VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Coccon1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Klasa Cocoon1
Private addB As Butterfly, trigB As Butterfly
'-------
'Utwórz pojedyncze instancje
Private Sub Class_Initialize()
  Set addB = New addButterfly
  Set trigB = New trigButterfly
End Sub
'-------
'Zwróæ odpowiedni rodzaj Butterfly
Public Function getButterfly(y As Single) As Butterfly
  If y = 0 Then
    Set getButterfly = addB
  Else
    Set getButterfly = trigB
  End If
End Function
